org.jfree.chart.event

## Interface AnnotationChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  AbstractXYItemRenderer, CandlestickRenderer, CategoryPlot, ClusteredXYBarRenderer, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, CompassPlot, ContourPlot, CyclicXYItemRenderer, DefaultXYItemRenderer, DeviationRenderer, DialPlot, FastScatterPlot, HighLowRenderer, MeterPlot, MultiplePiePlot, PiePlot, PiePlot3D, Plot, PolarPlot, RingPlot, SamplingXYLineRenderer, SpiderWebPlot, StackedXYAreaRenderer, StackedXYAreaRenderer2, StackedXYBarRenderer, StandardXYItemRenderer, ThermometerPlot, VectorRenderer, WaferMapPlot, WindItemRenderer, XYAreaRenderer, XYAreaRenderer2, XYBarRenderer, XYBlockRenderer, XYBoxAndWhiskerRenderer, XYBubbleRenderer, XYDifferenceRenderer, XYDotRenderer, XYErrorRenderer, XYLine3DRenderer, XYLineAndShapeRenderer, XYPlot, XYShapeRenderer, XYSplineRenderer, XYStepAreaRenderer, XYStepRenderer, YIntervalRenderer

    public interface AnnotationChangeListener
    extends java.util.EventListener

The interface that must be supported by classes that wish to receive notification of changes to an `Annotation`.

Since:
  1.0.14

### Method Summary

Methods
`void` `annotationChanged(AnnotationChangeEvent event)` Receives notification of an annotation change event.

### Method Detail

#### annotationChanged

    void annotationChanged(AnnotationChangeEvent event)

Receives notification of an annotation change event.

Parameters:
  `event` - the event.
Since:
  1.0.14